<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <!-- Global information for this movie provider -->
  <Name>Fan de Cinéma</Name>
  <HomePage>
	www.fan-de-cinema.com
  </HomePage>
  <Language>
	French
  </Language>
  <Author>Dolu</Author>
  <Version>0.2</Version>
  <!-- Indicates support for data retrieval -->
  <SupportsCastAndDirector>
	true
  </SupportsCastAndDirector>
  <SupportsCover>true</SupportsCover>
  <SupportsPlot>
	true
  </SupportsPlot>
  <SupportsRating>
	false
  </SupportsRating>
  <!-- List of urls to search for movie (you can set only one or add as many as you want) -->
  <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = reserved (leave empty for now) -->
  <SearchUrls>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.google.fr/search?q={0}+site:www.fan-de-cinema.com/films&amp;hl=fr&amp;as_qdr=all&amp;num=50&amp;safe=active</Url>
      <RegExp>&lt;h3.*?href="(?&lt;Link&gt;.*?)".*?'\)"&gt;(?&lt;Title&gt;.*?)(?:\s\[\d|&lt;/a|-\sFan\sde)</RegExp>
      <MoviePlotLink>
        <string>{0}</string>
      </MoviePlotLink>
      <MaxResult>10</MaxResult>
      <NextPage></NextPage>
    </Search>
  </SearchUrls>
  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>10</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>Titre.du.film.:.&lt;b&gt;(?&lt;1&gt;.*?)&lt;/b&gt;[\n|\r]</RegExp_Title>
  <RegExp_OriginalTitle>Titre.original.:.(?&lt;1&gt;.*?)[\n|\r]</RegExp_OriginalTitle>
  <RegExp_Year>de.production.:.(?&lt;1&gt;.*?)\s</RegExp_Year>
  <RegExp_Runtime>Durée.:.(?&lt;1&gt;.*?)\s</RegExp_Runtime>
  <!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>true</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>true</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>true</ReplaceTBbySpaceBeforeRegExpPlot>
  <RegExp_Plot>liste\scritique"&gt;(?&lt;1&gt;.*?)&lt;/div&gt;[\n|\r|\s]*?&lt;/di</RegExp_Plot>
  <!-- Regular expressions to look for genres, directors and actors -->
  <RegExp_Genres>Genre.:.(?&lt;1&gt;.*?)\s-</RegExp_Genres>
  <RegExp_Directors>Un.film..*?\s(?:[\s\t\n\r\v\f])*?de.(?&lt;1&gt;.*?).avec</RegExp_Directors>
  <RegExp_Actors>\savec\s(?&lt;1&gt;.*?)&amp;nbsp;</RegExp_Actors>
  <!-- Regular expressions to look for cover -->
  <!-- RegExp_CoverLinkFront = regexp used on movie page -->
  <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
  <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
  <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->
  <RegExp_CoverLinkFront>(?&lt;1&gt;http://images.fan-de-cinema.com/affiches/mini/.*?)"\s</RegExp_CoverLinkFront>
  <RegExp_CoverUrl>href="(?&lt;1&gt;/affiches/.*?\.html)"&gt;&lt;b</RegExp_CoverUrl>
  <RegExp_HowGotoCoverUrl>http://www.fan-de-cinema.com{0}</RegExp_HowGotoCoverUrl>
  <RegExp_CoverLinkFront2>href="(?&lt;1&gt;http://images.fan-de-cinema.com/affiches/.*?,0.*?)".rel=</RegExp_CoverLinkFront2>
  <!-- Regular expressions to find Rating, it stops after it finds one non empty result (done in that order) -->
  <RegExp_Rating />
  <!-- Encoding used to send Title, and to read HTML pages -->
  <TitleEncoding>Default</TitleEncoding>
  <ContentEncoding>Default</ContentEncoding>
  <Debug>false</Debug>
</MyMPConfig>